BitArray (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.util.BitArray class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.util
Class BitArray

    java.lang.Object
      org.codehaus.activemq.util.BitArray

public class BitArray
extends Object

Simple BitArray to enable setting multiple boolean values efficently Used instead of BitSet because BitSet does not allow for efficent serialization. Will store up to 64 boolean values

Version:
  $Revision: 1.4 $

Field Summary
`(package private) static int` | `BYTE_SIZE`
`(package private) static int` | `INT_SIZE`
`(package private) static int` | `LONG_SIZE`
`(package private) static int` | `SHORT_SIZE`

Constructor Summary
`BitArray()`

Method Summary
`boolean` | `get(int index)`
`long` | `getBits()`
`int` | `length()`
`void` | `readFromStream(DataInput dataIn)` read the bits from an input stream
`void` | `reset()` reset all the bit values to false
`boolean` | `set(int index, boolean flag)` set the boolean value at the index
`void` | `writeToStream(DataOutput dataOut)` write the bits to an output stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LONG_SIZE

    static final int LONG_SIZE

See Also:
  Constant Field Values

### INT_SIZE

    static final int INT_SIZE

See Also:
  Constant Field Values

### SHORT_SIZE

    static final int SHORT_SIZE

See Also:
  Constant Field Values

### BYTE_SIZE

    static final int BYTE_SIZE

See Also:
  Constant Field Values

Constructor Detail

### BitArray

    public BitArray()

Method Detail

### length

    public int length()

  Returns:
    the length of bits set

### getBits

    public long getBits()

  Returns:
    the long containing the bits

### set

    public boolean set(int index,
                       boolean flag)

  set the boolean value at the index

  Parameters:
    `index` -
    `flag` -
  Returns:
    the old value held at this index

### get

    public boolean get(int index)

  Parameters:
    `index` -
  Returns:
    the boolean value at this index

### reset

    public void reset()

  reset all the bit values to false

### writeToStream

    public void writeToStream(DataOutput dataOut)
                       throws IOException

  write the bits to an output stream

  Parameters:
    `dataOut` -
  Throws:
    `IOException`

### readFromStream

    public void readFromStream(DataInput dataIn)
                        throws IOException

  read the bits from an input stream

  Parameters:
    `dataIn` -
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.